exit with nonzero exit status if ifconfig.sh fails

This commit is contained in:
Andreas Gustafsson
2000-06-02 18:51:35 +00:00
parent d12ed0876f
commit 487791cd9c

View File

@@ -26,11 +26,7 @@ if [ $whoami != "root" ]; then
exit
fi
sh ifconfig.sh start
if [ $? != 0 ]; then
exit 0
fi
sh ifconfig.sh start || exit $?
test $# -gt 0 || { echo "usage: runtest.sh test-directory" >&2; exit 1; }